Ubuntu

no debug symbols for mysql-server

Reported by Matt Rae on 2012-06-18
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
mysql-5.5 (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

Hi there, no debug symbols packages are available for mysql-server. Neither a mysql-server-dbg package is available or mysql-server-dbgsym from ddebs.ubuntu.com.

According to xnox in #ubuntu-devel:

12:32 < xnox> there was a bug about it or something somewhere
12:32 < xnox> mattrae: basically the buildsystem unconditionally strips them /
builds without them.

I wasn't able to find a bug, so I created this one to track the problem.

I've attempted 2 methods that work with other packages but not mysql.

steps from here http://askubuntu.com/questions/41610/how-do-i-rebuild-a-package-to-include-debugging-information:

apt-get install devscripts fakeroot
apt-get build-dep mysql-server
export DEB_BUILD_OPTIONS="debug nostrip noopt"
fakeroot apt-get source -b mysql-server

and with pbuilder, building packages after installing pkg-create-dbgsym in the pbuilder chroot:

apt-get source mysql-server
pbuilder create --debootstrapopts --variant=buildd
pbuilder --update --extrapackages pkg-create-dbgsym
pbuilder build mysql-5.5_5.5.24-0ubuntu0.12.04.1.dsc

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in mysql-5.5 (Ubuntu):
status: New → Confirmed
Chris J Arges (arges) on 2012-06-18
Changed in mysql-5.5 (Ubuntu):
importance: Undecided → High
Changed in mysql-5.5 (Ubuntu Precise):
status: New → Confirmed
importance: Undecided → High
milestone: none → ubuntu-12.04.1
Matt Rae (mattrae) wrote :

Any idea who might be able to help guide me with this?

I haven't had luck yet compiling mysql-server with debug symbols. Although I've added -DWITH_DEBUG=1 to debian/rules build, when dh_strip runs it says that the packages have already been stripped. ddebs are not being built in /var/cache/pbuilder/result/. Based on that I think -DWITH_DEBUG=1 isn't taking effect. I confirmed -DWITH_DEBUG=1 is the correct option (http://dev.mysql.com/doc/refman//5.5/en/compiling-for-debugging.html). Any thoughts?

Here's the steps I'm taking:

# apt-get source mysql-server

Add -DWITH_DEBUG=1 to debian/rules

# grep -C2 DEBUG mysql-5.5-5.5.24/debian/rules
            -DWITH_ARCHIVE_STORAGE_ENGINE=ON \
            -DWITH_BLACKHOLE_STORAGE_ENGINE=ON \
            -DWITH_DEBUG=1 \
            -DWITH_FEDERATED_STORAGE_ENGINE=ON \
                -DWITH_EXTRA_CHARSETS=all ..'

# pbuilder create --debootstrapopts --variant=buildd
# pbuilder --update --extrapackages pkg-create-dbgsym
# pbuilder build mysql-5.5_5.5.24-0ubuntu0.12.04.1.dsc 2>&1 | tee /tmp/pbuildlog

# grep strip /tmp/pbuildlog
dh_strip -a
dh_strip debug symbol extraction: all non-arch-all packages for this build platform amd64: libmysqlclient18 libmysqld-pic libmysqld-dev libmysqlclient-dev mysql-client-core-5.5 mysql-client-5.5 mysql-server-core-5.5 mysql-server-5.5 mysql-testsuite-5.5 mysql-source-5.5
dh_strip debug symbol extraction: packages to act on: libmysqlclient18 libmysqld-pic libmysqld-dev libmysqlclient-dev mysql-client-core-5.5 mysql-client-5.5 mysql-server-core-5.5 mysql-server-5.5 mysql-testsuite-5.5 mysql-source-5.5
dh_strip debug symbol extraction: ignored packages:
libmysqlclient18 is already stripped, ignoring
libmysqld-pic is already stripped, ignoring
libmysqld-dev is already stripped, ignoring
libmysqlclient-dev is already stripped, ignoring
mysql-client-core-5.5 is already stripped, ignoring
mysql-client-5.5 is already stripped, ignoring
mysql-server-core-5.5 is already stripped, ignoring
mysql-server-5.5 is already stripped, ignoring
mysql-testsuite-5.5 is already stripped, ignoring
mysql-source-5.5 is already stripped, ignoring

Stéphane Graber (stgraber) wrote :

Chris: Are you planning on fixing this one or should we poke the server team about it?

Changed in mysql-5.5 (Ubuntu):
status: Confirmed → Triaged
Changed in mysql-5.5 (Ubuntu Precise):
status: Confirmed → Triaged
James Page (james-page) on 2012-08-14
Changed in mysql-5.5 (Ubuntu Precise):
milestone: ubuntu-12.04.1 → precise-updates
Matt Rae (mattrae) wrote :

If there are at least any thoughts that could help me continue debugging this problem that would be helpful.

I'd like to submit a full backtrace to report a crash in Mysql. If I can build the debug symbols correctly without messing with the packaging, I can go that route as well.

Changed in mysql-5.5 (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-5.5 - 5.5.28-0ubuntu1

---------------
mysql-5.5 (5.5.28-0ubuntu1) raring; urgency=low

  [ Alex Bligh ]
  * debian/mysql-server-5.5.postinst: Add Create_tablespace_priv which
    was missed in the 5.1 -> 5.5 transition, and regressed GRANT
    privileges for the debian-sys-maint user. (LP: #1062716)

  [ Clint Byrum ]
  * d/rules: Build with debug symbols (LP: #1014872)
 -- Clint Byrum <email address hidden> Tue, 27 Nov 2012 03:50:57 -0800

Changed in mysql-5.5 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers